org.aspectj.internal.lang.reflect

## Class StringToType

- java.lang.Object
- - org.aspectj.internal.lang.reflect.StringToType

    public class StringToType
    extends Object

Author:
  colyer Helper class for converting type representations in Strings into java.lang.reflect.Types.

### Constructor Summary

Constructors
Constructor and Description
`StringToType()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Type[]` `commaSeparatedListToTypeArray(String typeNames, Class classScope)`
`static Type` `stringToType(String typeName, Class classScope)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringToType

    public StringToType()

### Method Detail

#### commaSeparatedListToTypeArray

    public static Type[] commaSeparatedListToTypeArray(String typeNames,
                                                       Class classScope)
                                                throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### stringToType

    public static Type stringToType(String typeName,
                                    Class classScope)
                             throws ClassNotFoundException

Throws:
  `ClassNotFoundException`